# setup backup jobs for velero
- name:
  shell: |
    velero schedule create daily-backup \
      --ttl 96h0m0s \
      --schedule="@daily" \
      --selector app/backups=daily
    touch $HOME/.daily-backup
  args:
    chdir: $HOME
    creates: .daily-backup

- name:
  shell: |
    velero schedule create monthly-backup \
      --ttl 1488h0m0s \
      --schedule="@monthly" \
      --selector app/backups=daily
    touch $HOME/.monthly-backup
  args:
    chdir: $HOME
    creates: .monthly-backup
